-- test_read.sql

DROP TABLE log_content
/

CREATE TABLE log_content
(
  line VARCHAR2(1024)
)
/

DECLARE
  log_lines logger.line_tab_type;
BEGIN
  logger.open('jane_doe_test.log');
  log_lines := logger.read_lines;

  FORALL i IN 1..log_lines.COUNT
    INSERT INTO log_content
      VALUES (log_lines(i));
  logger.close;
END;
/

SELECT * FROM log_content
/
